package com.brilliance.isc.bo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.lg.DnfencVo;
import com.brilliance.isc.bo.model.Gidgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GitencStoreBo extends BaseTransactionVo {
        private Gidgrp gidgrp;
        private DnfencVo dnfenc;
        @Override
        public void reset() {
            super.reset();
            if (gidgrp == null) {
                gidgrp = new Gidgrp();
            }
            gidgrp.reset();
            if(dnfenc == null){
                dnfenc = new DnfencVo();
            }
        }
}
